Summary: The GNU line editor.
Name: ed
Version: 0.2
Release: 13
Copyright: GPL
Group: Applications/Text
Source: ftp://prep.ai.mit.edu/pub/gnu/ed-0.2.tar.gz
Prereq: /sbin/install-info
Buildroot: /var/tmp/%{name}-root

%description
Ed is a line-oriented text editor, used to create, display, and modify
text files (both interactively and via shell scripts).  For most
purposes, ed has been replaced in normal usage by full-screen editors
(emacs and vi, for example).

Ed was the original UNIX editor, and may be used by some programs.  In
general, however, you probably don't need to install it and you probably
won't use it.

%prep
%setup -q

%build
#./configure --prefix=/usr --exec-prefix=/
#make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%configure --exec-prefix=/
make LDFLAGS=-s

%install
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s prefix=$RPM_BUILD_ROOT/usr \
     exec_prefix=$RPM_BUILD_ROOT install
gzip -fn $RPM_BUILD_ROOT/usr/info/ed.info

strip $RPM_BUILD_ROOT/bin/ed

%post
/sbin/install-info /usr/info/ed.info.gz /usr/info/dir --entry="* ed: (ed).                  The GNU Line Editor."

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete /usr/info/ed.info.gz /usr/info/dir --entry="* ed: (ed).                  The GNU Line Editor."
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc NEWS POSIX README THANKS
/bin/ed
/bin/red
/usr/info/ed.info.gz
/usr/man/man1/*

%changelog
* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages.

* Tue Mar 23 1999 Jeff Johnson <jbj@redhat.com>
- fix %post syntax error (#1689).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added install-info support
- added BuildRoot
- correct URL in Source line

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
